<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku MainWindow.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_main_window_8cpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">Dokumentacja pliku MainWindow.cpp</div></div>
</div><!--header-->
<div class="contents">

<p>Definicje metod klasy <a class="el" href="class_main_window.html" title="Główne okno aplikacji.">MainWindow</a>.  
<a href="#details">Więcej...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="_main_window_8hpp_source.html">MainWindow.hpp</a>&quot;</code><br />
<code>#include &lt;QStatusBar&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla MainWindow.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_main_window_8cpp__incl.png" border="0" usemap="#a_main_window_8cpp" alt=""/></div>
<map name="a_main_window_8cpp" id="a_main_window_8cpp">
<area shape="rect" title="Definicje metod klasy MainWindow." alt="" coords="673,5,793,31"/>
<area shape="rect" href="_main_window_8hpp.html" title="Definicja klasy MainWindow." alt="" coords="609,79,729,104"/>
<area shape="poly" title=" " alt="" coords="725,33,691,70,687,67,721,29"/>
<area shape="rect" title=" " alt="" coords="753,79,844,104"/>
<area shape="poly" title=" " alt="" coords="746,29,781,67,777,70,742,33"/>
<area shape="rect" title=" " alt="" coords="5,152,112,177"/>
<area shape="poly" title=" " alt="" coords="609,101,400,121,126,155,125,149,399,116,609,95"/>
<area shape="rect" title=" " alt="" coords="137,152,237,177"/>
<area shape="poly" title=" " alt="" coords="610,103,251,154,250,149,609,98"/>
<area shape="rect" title=" " alt="" coords="261,152,326,177"/>
<area shape="poly" title=" " alt="" coords="609,105,489,126,340,155,339,149,488,120,608,100"/>
<area shape="rect" title=" " alt="" coords="351,152,423,177"/>
<area shape="poly" title=" " alt="" coords="625,107,437,154,435,148,623,101"/>
<area shape="rect" title=" " alt="" coords="447,152,531,177"/>
<area shape="poly" title=" " alt="" coords="641,107,532,149,530,144,639,102"/>
<area shape="rect" href="_terminal_8hpp.html" title="Definicja klasy Terminal." alt="" coords="556,152,652,177"/>
<area shape="poly" title=" " alt="" coords="661,106,626,144,622,140,657,103"/>
<area shape="rect" href="_distance_win_8hpp.html" title="Definicja klasy DistanceWin." alt="" coords="677,152,795,177"/>
<area shape="poly" title=" " alt="" coords="682,103,718,140,714,144,678,106"/>
<area shape="rect" href="_velocity_graph_8hpp.html" title="Definicja klasy VelocityGraph." alt="" coords="1065,152,1191,177"/>
<area shape="poly" title=" " alt="" coords="730,100,742,101,1051,149,1050,154,741,107,729,105"/>
<area shape="rect" href="_map3_d_8hpp.html" title="Definicja klasy Map3D." alt="" coords="949,152,1035,177"/>
<area shape="poly" title=" " alt="" coords="722,101,936,148,935,154,721,107"/>
<area shape="rect" href="_robot_data_8hpp.html" title="Definicja klasy RobotData." alt="" coords="1311,225,1417,251"/>
<area shape="poly" title=" " alt="" coords="730,100,742,101,872,112,975,113,1077,120,1136,131,1205,149,1242,163,1278,181,1338,215,1335,220,1276,185,1240,168,1203,155,1135,136,1077,126,975,118,872,117,741,107,729,105"/>
<area shape="rect" href="_serial_port_8hpp.html" title="Definicja klasy SerialPort." alt="" coords="1826,152,1929,177"/>
<area shape="poly" title=" " alt="" coords="730,100,742,101,1056,128,1364,145,1812,160,1812,165,1364,150,1055,133,741,107,729,105"/>
<area shape="rect" href="_travel_info_8hpp.html" title="Definicja klasy TravelInfo." alt="" coords="820,152,924,177"/>
<area shape="poly" title=" " alt="" coords="703,102,827,145,826,150,701,107"/>
<area shape="rect" title=" " alt="" coords="253,225,331,251"/>
<area shape="poly" title=" " alt="" coords="557,179,345,227,344,222,555,174"/>
<area shape="rect" title=" " alt="" coords="356,225,444,251"/>
<area shape="poly" title=" " alt="" coords="572,180,447,223,445,218,570,175"/>
<area shape="rect" href="_framed_widget_8hpp.html" title="Definicja klasy FramedWidget." alt="" coords="807,225,937,251"/>
<area shape="poly" title=" " alt="" coords="648,175,816,219,815,224,646,180"/>
<area shape="rect" title=" " alt="" coords="976,299,1045,324"/>
<area shape="poly" title=" " alt="" coords="895,248,977,290,975,295,893,253"/>
<area shape="rect" title=" " alt="" coords="760,299,824,324"/>
<area shape="poly" title=" " alt="" coords="861,253,817,292,813,288,857,249"/>
<area shape="rect" title=" " alt="" coords="849,299,951,324"/>
<area shape="poly" title=" " alt="" coords="879,250,893,285,888,287,874,252"/>
<area shape="poly" title=" " alt="" coords="759,175,839,217,837,221,757,180"/>
<area shape="rect" href="_numeric_data_8hpp.html" title="Definicja klasy NumericData." alt="" coords="609,225,732,251"/>
<area shape="poly" title=" " alt="" coords="727,179,692,217,689,213,723,176"/>
<area shape="rect" href="_robot_image_8hpp.html" title="Definicja klasy RobotImage." alt="" coords="469,225,585,251"/>
<area shape="poly" title=" " alt="" coords="703,180,575,223,573,218,702,175"/>
<area shape="poly" title=" " alt="" coords="692,248,762,289,759,294,689,253"/>
<area shape="rect" title=" " alt="" coords="657,299,735,324"/>
<area shape="poly" title=" " alt="" coords="677,250,690,285,685,287,672,252"/>
<area shape="rect" title=" " alt="" coords="562,299,633,324"/>
<area shape="poly" title=" " alt="" coords="660,253,621,291,617,287,657,249"/>
<area shape="rect" title=" " alt="" coords="367,299,441,324"/>
<area shape="poly" title=" " alt="" coords="508,253,437,294,434,289,506,248"/>
<area shape="rect" title=" " alt="" coords="465,299,537,324"/>
<area shape="poly" title=" " alt="" coords="525,252,512,287,507,285,520,250"/>
<area shape="poly" title=" " alt="" coords="1088,180,927,224,926,219,1086,175"/>
<area shape="rect" title=" " alt="" coords="1073,225,1191,251"/>
<area shape="poly" title=" " alt="" coords="1131,178,1133,212,1128,212,1126,178"/>
<area shape="rect" title=" " alt="" coords="1215,225,1287,251"/>
<area shape="poly" title=" " alt="" coords="1149,175,1220,216,1218,221,1146,180"/>
<area shape="poly" title=" " alt="" coords="974,180,905,220,902,216,971,175"/>
<area shape="rect" href="_viewer_8hpp.html" title="Definicja klasy Viewer." alt="" coords="962,225,1049,251"/>
<area shape="poly" title=" " alt="" coords="997,177,1003,211,998,212,992,178"/>
<area shape="rect" href="_robot_model_8hpp.html" title="Definicja klasy RobotModel." alt="" coords="1069,299,1184,324"/>
<area shape="poly" title=" " alt="" coords="1026,248,1097,289,1094,294,1023,253"/>
<area shape="rect" title=" " alt="" coords="1047,372,1206,397"/>
<area shape="poly" title=" " alt="" coords="1129,324,1129,358,1124,358,1124,324"/>
<area shape="rect" title=" " alt="" coords="1335,299,1393,324"/>
<area shape="poly" title=" " alt="" coords="1367,251,1367,285,1361,285,1361,251"/>
<area shape="poly" title=" " alt="" coords="1826,172,1602,190,1454,206,1300,228,1300,223,1453,201,1601,184,1826,166"/>
<area shape="poly" title=" " alt="" coords="1826,175,1431,228,1431,228,1430,223,1430,223,1825,170"/>
<area shape="rect" title=" " alt="" coords="1893,299,1947,324"/>
<area shape="poly" title=" " alt="" coords="1897,176,1921,196,1941,224,1945,240,1944,257,1935,287,1930,286,1939,256,1940,241,1936,226,1917,199,1894,180"/>
<area shape="rect" title=" " alt="" coords="2130,225,2257,251"/>
<area shape="poly" title=" " alt="" coords="1929,175,2129,220,2128,225,1928,180"/>
<area shape="rect" title=" " alt="" coords="2281,225,2351,251"/>
<area shape="poly" title=" " alt="" coords="1929,170,2078,190,2268,223,2267,228,2077,195,1929,175"/>
<area shape="rect" title=" " alt="" coords="2375,225,2436,251"/>
<area shape="poly" title=" " alt="" coords="1929,167,2116,186,2236,202,2361,223,2360,228,2236,207,2115,191,1928,173"/>
<area shape="rect" title=" " alt="" coords="2460,225,2519,251"/>
<area shape="poly" title=" " alt="" coords="1929,166,2150,183,2296,199,2446,223,2446,228,2295,205,2150,188,1929,171"/>
<area shape="rect" title=" " alt="" coords="2543,225,2601,251"/>
<area shape="poly" title=" " alt="" coords="1929,165,2184,180,2354,197,2530,223,2529,228,2353,203,2183,185,1929,170"/>
<area shape="rect" title=" " alt="" coords="1442,225,1499,251"/>
<area shape="poly" title=" " alt="" coords="1826,175,1689,196,1513,228,1512,223,1688,190,1825,170"/>
<area shape="rect" title=" " alt="" coords="1523,225,1610,251"/>
<area shape="poly" title=" " alt="" coords="1828,180,1624,226,1623,221,1827,175"/>
<area shape="rect" title=" " alt="" coords="1634,225,1713,251"/>
<area shape="poly" title=" " alt="" coords="1845,180,1720,223,1718,218,1844,175"/>
<area shape="rect" title=" " alt="" coords="1737,225,1804,251"/>
<area shape="poly" title=" " alt="" coords="1862,180,1801,220,1798,215,1859,175"/>
<area shape="rect" href="odbieranie_8hh.html" title=" " alt="" coords="1828,225,1927,251"/>
<area shape="poly" title=" " alt="" coords="1880,178,1880,212,1875,212,1875,178"/>
<area shape="rect" href="transparam_8hh.html" title=" " alt="" coords="2001,225,2105,251"/>
<area shape="poly" title=" " alt="" coords="1907,175,2013,218,2011,222,1905,180"/>
<area shape="poly" title=" " alt="" coords="1887,250,1908,286,1904,288,1882,252"/>
<area shape="rect" title=" " alt="" coords="2016,299,2091,324"/>
<area shape="poly" title=" " alt="" coords="2056,251,2056,285,2051,285,2051,251"/>
<area shape="poly" title=" " alt="" coords="875,178,875,212,869,212,869,178"/>
<area shape="poly" title=" " alt="" coords="858,180,796,227,721,291,718,287,793,223,855,175"/>
</map>
</div>
</div>
<p><a href="_main_window_8cpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="_main_window_8cpp.html">MainWindow.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
